commit:     cfa507b1df4e811ddfe6dc176038a765ffd8aea3
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  4 07:24:34 2023 +0000
Commit:     罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Mar  4 07:25:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfa507b1

dev-db/timescaledb: add 2.10.0

Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 dev-db/timescaledb/Manifest                  |  1 +
 dev-db/timescaledb/timescaledb-2.10.0.ebuild | 67 ++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-db/timescaledb/Manifest b/dev-db/timescaledb/Manifest
index 016c22228cd6..3e28e4dcd4cb 100644
--- a/dev-db/timescaledb/Manifest
+++ b/dev-db/timescaledb/Manifest
@@ -1,2 +1,3 @@
+DIST timescaledb-2.10.0.tar.gz 7410903 BLAKE2B 
e93117f41b918e315f1d867ef65a608ec4021d365e3854750ee788233d64435d37b6ff5e7b1a014c8bf095857c745978daece3dc5ff149ba0b869afa6e7d8e7c
 SHA512 
6028146a421de91a356539d8027cfee8dc38dd03cf02fe04887ddaf134fa057c953cf6b6179a9160d797271943a8fe35ffe2f4d8959fe3be8e7bf527a3fe7d41
 DIST timescaledb-2.9.2.tar.gz 7265748 BLAKE2B 
6d821f3e93e5a4c8cb871e436b00f81befbc82b171c95c50f93d278c2dd87c44255c4fc7b6e09e7463eeb8b3ba6719ad95d07d76d2234a52f7f0ca015a1ed727
 SHA512 
2f8153e37e3fd1488f89398dfb6b4501267c0d4bae4b796738d0b25e26f9720c7d6388b41fd952b4760f9e85adfbf6d3b37f4f5b7cc9ec3e68825dbd9868e870
 DIST timescaledb-2.9.3.tar.gz 7269123 BLAKE2B 
009f3b9787e4dce49abb50a446b88f5a37ab9b1a3abb040fe5d332ab10d5a40e13fae7985fca6f6d412f7e555ab1833f83ce0c43bbda7054f668fa12288eac18
 SHA512 
0664ccc6e6846500757466646e2c8a9bdbdca079bd931cc95ad8ea687f37b099d846cf8cc8311f928a33d9228592e460b6fe331a639046bc845a25b4a7d914c6

diff --git a/dev-db/timescaledb/timescaledb-2.10.0.ebuild 
b/dev-db/timescaledb/timescaledb-2.10.0.ebuild
new file mode 100644
index 000000000000..83f98f57647b
--- /dev/null
+++ b/dev-db/timescaledb/timescaledb-2.10.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+POSTGRES_COMPAT=( 12 13 14 15 )
+POSTGRES_USEDEP="ssl"
+
+inherit postgres-multi cmake
+
+DESCRIPTION="Open-source time-series SQL database"
+HOMEPAGE="https://www.timescale.com/";
+SRC_URI="https://github.com/timescale/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+IUSE="proprietary-extensions"
+LICENSE="POSTGRESQL Apache-2.0 proprietary-extensions? ( timescale )"
+
+KEYWORDS="~amd64"
+
+SLOT=0
+
+RESTRICT="test"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+CMAKE_IN_SOURCE_BUILD=yes
+CMAKE_BUILD_TYPE="RelWithDebInfo"
+BUILD_DIR=${WORKDIR}/${P}
+
+src_prepare() {
+       postgres-multi_src_prepare
+       postgres-multi_foreach cmake_src_prepare
+}
+
+timescale_configure() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       local mycmakeargs=( 
"-DPG_CONFIG=/usr/bin/pg_config${MULTIBUILD_VARIANT}" "-DREGRESS_CHECKS=OFF" )
+
+       # licensing is tied to features, this useflag disables the non-apache2 
licensed bits
+       if ! use proprietary-extensions ; then
+               mycmakeargs+=("-DAPACHE_ONLY=ON")
+       fi
+       cmake_src_configure
+}
+
+src_configure() {
+       postgres-multi_foreach timescale_configure
+}
+
+timescale_src_compile() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_compile
+}
+
+src_compile() {
+       postgres-multi_foreach timescale_src_compile
+}
+
+timescale_src_install() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_install
+}
+
+src_install() {
+       postgres-multi_foreach timescale_src_install
+}

Reply via email to